# Contribution Guidelines
* Read and agree to the [Developer Certificate of Origin](https://github.com/IBM/dbb/blob/master/DCO1.1.txt) document.
* Fork and Create a Pull Request
    * Fork the dbb repo, create a new sample or bug fix branch from master and apply your changes there. Create a Pull Request from your sample/bug fix branch against the dbb master branch.
    * For new samples, create a sub folder in a an existing category folder.  
        * New category folders can be proposed if necessary.
        * Don't forget to add a new entry to the Content table in the community [README](https://github.com/IBM/dbb/blob/master/README.md)
    * Limit each Pull Request to one new sample or bug fix. Don't bundle multiple sample/changes (e.g. a new sample and a fix to an existing sample) into a single Pull Request - create one PR for the new sample, and a separate PR for the fix.
    * For complex changes, try to squash your changes into a single commit. Don't create a PR consisting of 20 commits that show your work in progress. Before you create the PR, squash your changes into a single commit.
* Send an email to drbruce@us.ibm.com with a link to the Pull Request and the following statement:
```
DCO 1.1 signed-off-by: Random J Developer random@developer.org.
```
* The contribution will be reviewed by a member of the IBM Dependency Based Build development team. 
